%define version 0.9.8

%define release %mkrel 4

%if %mdkversion >= 200610
%define		gstreamer 0.10.0
%define		gstname gstreamer0.10
%else
%define		gstreamer 0.8.11
%define		gstname gstreamer
%endif

%define major 0
%define libname %mklibname rhythmbox %major

Name:		rhythmbox
Summary:	Music Management Application 
Version:	%version
Release:	%release
License:	GPL
Group:		Sound
Source:		http://ftp.gnome.org/pub/GNOME/sources/rhythmbox/%{name}-%{version}.tar.bz2
Source1:	%name-32.png
Source2:	%name-16.png
# gw from svn: fix upstream bug #410601
Patch: rhythmbox-4842-fix-crash.patch
# gw fix for upstream bug #411122
Patch1: rhythmbox-4851-fix-artsdisplay.patch
# (fc) 0.9.8-4mdv don't start g-p-m if not running (GNOME bug #416213)
Patch2: rhythmbox-0.9.8-fixgpm.patch
URL:		http://www.rhythmbox.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  libgnomeui2-devel
BuildRequires:  libglade2.0-devel
BuildRequires:  libid3tag-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:  libvorbis-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  libgpod-devel
BuildRequires:  libflac-devel
BuildRequires:  scrollkeeper
BuildRequires: libsoup-devel
BuildRequires: libsexy-devel
BuildRequires: pygtk2.0-devel
BuildRequires: liblirc-devel
BuildRequires: desktop-file-utils
BuildRequires: libcheck-devel
%if %{mdkversion} >= 200610
BuildRequires: avahi-client-devel
BuildRequires: avahi-glib-devel
BuildRequires:  libnotify-devel >= 0.3.2
BuildRequires:  libgstreamer-plugins-base-devel >= %gstreamer
BuildRequires:  x11-server-xvfb
%else
BuildRequires:  gstreamer-plugins-devel >= %gstreamer
BuildRequires:	XFree86-Xvfb
%endif
BuildRequires:  libnautilus-burn-devel > 2.11.3
BuildRequires:  libtotem-plparser-devel >= 1.1.3
BuildRequires:  gnome-media libcddb-slave2-devel
BuildRequires:  gtk-doc
#BuildRequires:	automake1.8 gnome-common
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils libxslt-proc
%if %mdkversion >= 200610
Requires: %gstname-plugins-base
Requires: %gstname-plugins-good
Requires: %gstname-plugins-ugly
%else
Requires:	%gstname-audiosink >= %gstreamer
Requires:	%gstname-audio-effects >= %gstreamer
Requires:	%gstname-mad >= %gstreamer
Requires:	%gstname-vorbis >= %gstreamer
%endif
Requires:	%gstname-gnomevfs >= %gstreamer
Requires:	%gstname-flac >= %gstreamer
Requires:	dbus-x11
Requires: pygtk2.0
Requires: gnome-python
Requires: gnome-python-gconf
Requires: gnome-python-gnomevfs
#Suggests:	%gstname-faad
Provides:	net-rhythmbox
Obsoletes:	net-rhythmbox
Provides:	rhythmbox0.7
Obsoletes:	rhythmbox0.7
Provides:	rhythmbox-scrobbler
Obsoletes:	rhythmbox-scrobbler
Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper
Requires(post):		GConf2 >= 2.3.3
Requires(preun):	GConf2 >= 2.3.3

%description
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of CD-Rs.

%package -n %libname
Group:System/Libraries
Summary: Shared library part of %name

%description -n %libname
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of CD-Rs.

This is the shared library part of %name.

%prep
%setup -q
%patch -p0
%patch1 -p0
%patch2 -p1 -b .fixgpm

%build

%configure2_5x \
--enable-nautilus-menu --enable-ipod --enable-ipod-writing --enable-daap --enable-tag-writing \
%if %mdkversion >= 200610
--with-mdns=avahi \
%else
--with-mdns=howl \
%endif
--enable-gtk-doc
#gw parallel make broken in 0.9.4
make 


%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std _ENABLE_SK=false

%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/*/*{-??.omf,-??_??.omf};do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done


mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%{_bindir}/rhythmbox" icon="%name.png" longtitle="Music Management Application" title="Rhythmbox" needs="x11" section="Multimedia/Sound" startup_notify="true" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Audio;Player" \
  --add-category="X-MandrivaLinux-Multimedia-Audio" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 data/%name.png %buildroot/%_liconsdir
install -m 644 %SOURCE1  %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE2  %buildroot/%_miconsdir/%name.png

rm -f  %buildroot%_libdir/%name/plugins/*.a %buildroot%_libdir/*.a
#gw remove it until there's a devel package
rm -f  %buildroot%_libdir/librhythmbox-core.{so,la}


find %buildroot -name \*.la |xargs chmod 644

%check
#gw I couldn't make the tests run in the iurt chroot
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%if %mdkversion <= 200600
%{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
%else
%{_bindir}/Xvfb :$XDISPLAY &
%endif
export DISPLAY=:$XDISPLAY
# gw one test fails without a running dbus
#make check
kill $(cat /tmp/.X$XDISPLAY-lock) || :

%clean
rm -rf %{buildroot}

%post
%update_menus
%post_install_gconf_schemas rhythmbox
%update_scrollkeeper
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas rhythmbox

%postun
%{clean_menus}
%clean_scrollkeeper
%clean_icon_cache hicolor

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README NEWS
%config(noreplace) %{_sysconfdir}/gconf/schemas/rhythmbox.schemas
%{_bindir}/rhythmbox
%{_bindir}/rhythmbox-client
%{_datadir}/applications/rhythmbox.desktop
%{_datadir}/icons/hicolor/*/apps/rhythmbox*
%{_datadir}/rhythmbox/
%dir %_datadir/omf/rhythmbox/
%_datadir/omf/rhythmbox/rhythmbox-C.omf
%_datadir/gtk-doc/html/%name
%_datadir/dbus-1/services/org.gnome.Rhythmbox.service
%_libexecdir/rhythmbox-metadata
%_libdir/%name/
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%files -n %libname
%defattr(-, root, root)
%_libdir/librhythmbox-core.so.%{major}*


%changelog
* Fri Mar 09 2007 Frederic Crozat <fcrozat@mandriva.com> 0.9.8-4mdv2007.1
+ Revision: 138806
- Patch2 (Jonathan Matthew): don't start g-p-m if not running (GNOME bug #416213)

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-3mdv2007.1
+ Revision: 125755
- fix error in art display

* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-2mdv2007.1
+ Revision: 124856
- fix crash

* Wed Feb 21 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-1mdv2007.1
+ Revision: 123623
- new version
- drop all patches
- add library package

* Sat Feb 10 2007 Götz Waschk <waschk@mandriva.org> 0.9.7-5mdv2007.1
+ Revision: 118759
- add mmkeys plugin from Fedora

* Sat Feb 10 2007 Götz Waschk <waschk@mandriva.org> 0.9.7-4mdv2007.1
+ Revision: 118682
- disable the tests
- try to fix bug #28015 (python plugins on 64 bit)

* Mon Jan 15 2007 Götz Waschk <waschk@mandriva.org> 0.9.7-3mdv2007.1
+ Revision: 109299
- rebuild

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 0.9.7-2mdv2007.1
+ Revision: 107112
- fix icon transparency
- add missing deps

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 0.9.7-1mdv2007.1
+ Revision: 98601
- new version
- drop patch

* Fri Dec 15 2006 Götz Waschk <waschk@mandriva.org> 0.9.6.90-1mdv2007.1
+ Revision: 97415
- new version
- patch to fix build
- enable checks, they might work in iurt

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.9.6-6mdv2007.1
+ Revision: 88872
- rebuild

* Thu Oct 12 2006 Götz Waschk <waschk@mandriva.org> 0.9.6-5mdv2007.1
+ Revision: 63768
- rebuild
- add more missing buildrequires
- add testing support but don't enable it
- add more missing deps
- fix buildrequires
- Import rhythmbox



* Sun Oct  1 2006 Gtz Waschk <waschk@mandriva.org> 0.9.6-1mdv2007.0
- update file list
- drop patch
- new version

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.5-7mdv2007.0
- Patch0: don't use dbus deprecated api

* Mon Jul 31 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-6mdv2007.0
- fix buildrequires

* Fri Jul 28 2006 Götz Waschk <waschk@mandriva.org> 0.9.5-1mdv2007.0
- Rebuild

* Thu Jun 22 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-4mdv2007.0
- fix buildrequires

* Tue Jun 20 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-3mdv2007.0
- fix buildrequires

* Sun Jun 18 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-2mdv2007.0
- fix post script

* Sun Jun 18 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-1mdv2007.0
- new macros
- update file list
- enable ipod writing
- drop patches
- New release 0.9.5

* Thu Jun 15 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.4.1-4mdv2007
- Patch1 (CVS): fix build with ncb 2.15.3

* Thu May 11 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4.1-3mdk
- patch for new libnotify

* Tue Apr 25 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4.1-2mdk
- fix buildrequires

* Tue Apr 25 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4.1-1mdk
- drop merged patch
- New release 0.9.4.1

* Wed Apr 19 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4-4mdk
- patch to use the right libtool

* Wed Apr 19 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4-3mdk
- fix buildrequires

* Tue Apr 18 2006 Götz Waschk <waschk@mandriva.org> 0.9.4-2mdk
- Rebuild

* Sun Apr 16 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4-1mdk
- update file list
- drop patch
- New release 0.9.4

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.3.1-4mdk
- Allow recompilation on 2006.0 distro

* Wed Feb 08 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.3.1-3mdk
- patch1: use local libtool for shell extension
  - add buildrequires: automake1.8 intltool

* Mon Feb  6 2006 Gtz Waschk <waschk@mandriva.org> 0.9.3.1-2mdk
- fix buildrequires

* Sun Feb 05 2006 Götz Waschk <waschk@mandriva.org> 0.9.3.1-1mdk
- New release 0.9.3.1

* Thu Feb  2 2006 Gtz Waschk <waschk@mandriva.org> 0.9.3-1mdk
- gstreamer 0.10
- fix buildrequires
- drop patch
- New release 0.9.3

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.9.2-5mdk
- require dbus-x11
- obsolete rhythmbox-scrobbler

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-4mdk
- Patch0 (CVS): dbus 0.60 support
- Remove dashboard flags, it is no longer supported

* Tue Jan 24 2006 Gtz Waschk <waschk@mandriva.org> 0.9.2-3mdk
- fix buildrequires

* Mon Jan 23 2006 Olivier Blin <oblin@mandriva.com> 0.9.2-2mdk
- enforce avahi

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 0.9.2-1mdk
- update file list
- depend on libgpod
- New release 0.9.2

* Tue Nov 22 2005 Gtz Waschk <waschk@mandriva.org> 0.9.1-4mdk
- enable daap and tag writing

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 0.9.1-3mdk
- rebuild for new openssl

* Thu Oct 27 2005 Gtz Waschk <waschk@mandriva.org> 0.9.1-2mdk
- rebuild

* Mon Oct 17 2005 Gtz Waschk <waschk@mandriva.org> 0.9.1-1mdk
- update buildrequires
- update file list
- New release 0.9.1

* Mon Oct 10 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.0-
- Release 0.9.0

* Fri Jul 29 2005 Gtz Waschk <waschk@mandriva.org> 0.8.8-6mdk
- fix buildrequires

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.8.8-5mdk
- drop yelp dependency
- replace prereq with new requires(...) syntax

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 0.8.8-4mdk
- mkrel macro

* Sat Jan  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-3mdk
- rebuild

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.8-2plf 
- Rebuild with latest howl

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-1mdk
- enable nautilus menu
- drop yelp-pregenerate stuff
- fix omf file listing
- update description
- new version

* Fri Aug 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5-3mdk
- enable ipod

* Wed Aug 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5-2mdk
- reenable libtoolize

* Thu Jun 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.5-1mdk
- New release 0.8.5

* Wed May 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- New release 0.8.4

* Wed May 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-2mdk
- fix mp4 build 
- fix xine build

* Tue May  4 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- New release 0.8.3

* Sat May  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- drop plf option

* Sat May  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- New release 0.8.2

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-2mdk
- fix buildrequires

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- fix URL
- new version

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- obsoletes rhythmbox0.7
- new version

* Tue Apr  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.10-1mdk
- gstreamer 0.8
- new version

* Tue Mar 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.8-1mdk
- allow build with gstreamer-0.8
- new version

* Sun Feb 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.7-1mdk
- new version

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.5-2mdk
- rebuild

* Thu Jan 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.5-1mdk
- drop merged patch
- new version

* Mon Jan 19 2004 Abel Cheung <deaddog@deaddog.org> 0.6.4-2mdk
- Add missing prereq and schemas uninstall rule
- Musicbrainz support already removed
- Patch0: Enhanced dashboard integration patch from mailing list
- Allows optionally output dashboard clue packet (--with dashboard)

* Fri Jan  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-1mdk
- add mp4 support with the --with plf option
- new version

* Tue Dec 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-2mdk
- support gstreamer 0.7 builds

* Mon Dec 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-1mdk
- new version

* Thu Dec 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-1mdk
- replace patch by perl command
- new version

* Mon Nov 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- patch: fix docs
- new version

* Wed Nov 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-1mdk
- new version

* Thu Oct 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.88-1mdk
- remove rpmlint warning
- new version

* Sun Sep  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.3-1mdk
- add mime stuff
- drop the patch (not needed anymore)
- new version

* Sun Aug 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-2mdk
- add a --with xine switch to the spec file
- update description
- switch back to the gstreamer backend, it became much better

* Fri Aug 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-1mdk
- add the docs
- patch xine backend to build with rc0a
- new version

* Wed Aug 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-2mdk
- fix buildrequires
- use xine instead of gstreamer

* Tue Aug 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- reenable mmkeys
- new version

* Mon Aug 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- disable mmkeys ( http://bugzilla.gnome.org/show_bug.cgi?id=120096 )

* Sun Aug 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- add missing files
- fix deps
- drop ORBit workaround
- drop patch
- obsolete net-rhythmbox
- new version

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-11mdk
- patch syntax error
- fix build with new ORBit

* Fri Jun  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-10mdk
- fix build with new gcc 3.3

* Fri May 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-9mdk
- fix directory ownership
- remove obsolete buildrequires

* Thu Apr 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4.1-8mdk
- Recompiled against latest musicbrainz

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-7mdk
- fix buildrequires

* Mon Feb  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-6mdk
- rebuild for new gstreamer

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-5mdk
- rebuild against latest gstreamer

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-4mdk
- rebuild against latest ssl

* Wed Jan  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-3mdk
- requires gstreamer-audiosink instead of forcing gstreamer-oss
- rebuild against latest gstreamer

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-2mdk
- rebuild

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1
- Remove patch0 (merged upstream)

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-2mdk
- rebuild for new gstreamer

* Fri Nov 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- adjust file list
- remove obsolete buildrequires
- buildrequires liblirc-devel
- requires latest monkey-media
- new version

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-2mdk
- rebuild with the new gstreamer

* Thu Aug  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- 0.3.0
- buildrequires libmonkey-media-devel
- patch away Werror to make it compile

* Thu Jul 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-3mdk
- buildrequires libmad0-devel

* Wed Jul  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-2mdk
- fix schema installation 
- fix requires

* Tue Jul  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- mdk adaption

* Mon Mar 18 2002 Jorn Baayen <jorn@nl.linux.org>
- removed bonobo dependency
* Sat Mar 02 2002 Christian Schaller <Uraeus@linuxrising.org>
- created new spec file
